package dev.pfaff.altargui.util;

public sealed interface FutureSnapshot<T> {
	record Success<T>(T value) implements FutureSnapshot<T> {}
	record Failure<T>(Throwable throwable) implements FutureSnapshot<T> {}
	record InProgress<T>() implements FutureSnapshot<T> {}
}
